# Project information
site_name: 최고의 비동기 설정 - FastAPI, SQLModel, Alembic, Pytest
site_url: "https://pythonnecosystems.gitlab.io/fastapi/ultimate-async-setup/" 
site_author:   translated and edited by YJLee
site_description: >-
  [The ultimate async setup: FastAPI, SQLModel, Alembic, Pytest](https://medium.com/@estretyakov/the-ultimate-async-setup-fastapi-sqlmodel-alembic-pytest-ae5cdcfed3d4)를 편역
# Repository
repo_name: pythonnecosystems/fastapi/ultimate-async-setup
repo_url: https://gitlab.com/pythonnecosystems/fastapi/ultimate-async-setup
edit_uri: https://gitlab.com/-/ide/project/pythonnecosystems/fastapi/ultimate-async-setup/edit/main/-/

# Configuration
theme:
  name: material
  # custom_dir: !ENV [THEME_DIR, "material"]

  # Static files
  static_templates:
    - 404.html

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
  #features:
  #  - content.code.annotate
    # - content.tabs.link
    # - header.autohide
    # - navigation.expand
  #  - navigation.indexes
    # - navigation.instant
  #  - navigation.sections
  #  - navigation.tabs
    # - navigation.tabs.sticky
  #  - navigation.top
  #  - navigation.tracking
  #  - search.highlight
  #  - search.share
  #  - search.suggest
  #  - toc.follow
    # - toc.integrate
  palette:
    - scheme: amber
      primary: amber
      accent: orange
      #toggle:
        #icon: material/toggle-switch
        #name: Switch to dark mode
    #- scheme: slate
      #primary: red
      #accent: red
      #toggle:
        #icon: material/toggle-switch-off-outline
        #name: Switch to light mode
  font:
    text: Roboto
    code: Roboto Mono
  #favicon: assets/favicon.png
  #icon:
    #logo: logo

nav:
  - 목차: index.md
  - 최고의 비동기 설정: ultimate-async-setup.md
